name: Gitea Action Maven build

on:
  push:
    branches: ['featurebranch-0001']

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout the repo
        uses: actions/checkout@v4
      - name: Set up Maven
        uses: stCarolas/setup-maven@v5
        with:
          maven-version: '3.9.9'
      - name: Set up JDK 23
        uses: actions/setup-java@v4
        with:
          java-version: '23'
          distribution: 'oracle'
          cache: 'maven'
      - name: Build with Maven
        run: mvn -B package --file pom.xml